Page MenuHomePhabricator

Annotate the unusual use of "$callback()" in "xsprintf()"
ClosedPublic

Authored by epriestley on Feb 3 2021, 10:19 PM.
Tags
None
Referenced Files
F13269997: D21541.diff
Wed, May 29, 8:35 AM
F13264900: D21541.id.diff
Mon, May 27, 11:11 PM
F13263456: D21541.id51276.diff
Mon, May 27, 9:34 AM
Unknown Object (File)
Sun, May 5, 11:22 PM
Unknown Object (File)
Tue, Apr 30, 9:38 PM
Unknown Object (File)
Tue, Apr 30, 9:16 AM
Unknown Object (File)
Apr 27 2024, 7:23 AM
Unknown Object (File)
Apr 26 2024, 5:06 PM
Subscribers
None

Details

Summary

Ref T13588. See D21500. This syntax is unusual and there are some hidden complexities involved; annotate them. See D21500 for more discussion.

Test Plan

Read text, reviewed D21500.

Diff Detail

Repository
rARC Arcanist
Lint
Lint Not Applicable
Unit
Tests Not Applicable

Event Timeline

This revision was not accepted when it landed; it landed in state Needs Review.Feb 3 2021, 10:20 PM
epriestley requested review of this revision.
This revision was automatically updated to reflect the committed changes.